Update Number
curl --request PUT \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/numbers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nickname": "Support Line",
"inbound_agent_id": "01HZXK3B6Y9R8F5QWES6V4M2N7",
"outbound_agent_id": "01HZXK3B6Y9R8F5QWES6V4M2N8"
}
'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/numbers/{id}"
payload = {
"nickname": "Support Line",
"inbound_agent_id": "01HZXK3B6Y9R8F5QWES6V4M2N7",
"outbound_agent_id": "01HZXK3B6Y9R8F5QWES6V4M2N8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nickname: 'Support Line',
inbound_agent_id: '01HZXK3B6Y9R8F5QWES6V4M2N7',
outbound_agent_id: '01HZXK3B6Y9R8F5QWES6V4M2N8'
})
};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01kqh44f7mnjfvehcvxz36v5pm",
"number": 322569775,
"nickname": "Support Line",
"inbound_agent_id": null,
"outbound_agent_id": null,
"livekit_trunk_id": "SDR_yv0dl5j6n4ikh",
"livekit_dispatch_id": "ST_a09ykcm814yu2",
"workspace_id": "01kqh44f78vwz6jcsxxgcezz0s",
"created_at": "2026-05-01T06:38:05+00:00",
"updated_at": "2026-05-01T06:38:05+00:00"
}
}Numbers
Update Number
Updates the specified number. The number must belong to the authenticated user’s current workspace.
PUT
/
api
/
v1
/
numbers
/
{id}
Update Number
Authorizations
Bearer token authentication
Path Parameters
The ID of the number.
Body
application/json
Optional nickname for the phone number. Must be at least 1 character. Must not be greater than 255 characters.
Example:
"Support Line"
Agent to handle inbound calls. The id of an existing record in the agents table.
Example:
"01HZXK3B6Y9R8F5QWES6V4M2N7"
Agent to handle outbound calls. The id of an existing record in the agents table.
Example:
"01HZXK3B6Y9R8F5QWES6V4M2N8"
Response
200 - application/json
Show child attributes
Show child attributes

